Bug 1165043 - facts feature should not be enabled by default
Summary: facts feature should not be enabled by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: orabin
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-18 08:17 UTC by Ohad Levy
Modified: 2017-02-23 20:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:19:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 8347 None None None 2016-04-22 16:57:54 UTC

Description Ohad Levy 2014-11-18 08:17:28 UTC
I dont think it makes any sense to enable it by default, as its only used by discovery, for the rest it could be considered security concern?

also, a configuration file template is missing?

Comment 1 Ohad Levy 2014-11-18 08:17:29 UTC
Created from redmine issue http://projects.theforeman.org/issues/8347

Comment 4 Bryan Kearney 2014-11-18 09:05:24 UTC
Upstream bug assigned to orabin@redhat.com

Comment 5 Bryan Kearney 2014-11-20 17:05:32 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8347 has been closed
-------------
Ori Rabin
Applied in changeset commit:fc67f916fdcd2290612b134aef916a93924df576.

Comment 8 Sachin Ghai 2015-03-11 10:57:12 UTC
Verified with:
sat6.1 beta snap5
Satellite-6.1.0-RHEL-7-20150303.0


By default, its set to false. 

--
[root@dhcp201-171 settings.d]# cat /etc/foreman-proxy/settings.d/facts.yml 
---
:enabled: false
--

Comment 9 Sachin Ghai 2015-03-11 11:00:40 UTC
Hey Orabin.. Could you please confirm if anything else QE needs to check ?

Comment 10 orabin 2015-03-15 09:19:42 UTC
I would also do this:

1. start the smart-proxy (without changing the config file)
2. add the smart-proxy to foreman
3. check that 'facts' feature is not in the list of features

This should be enough but you can also add:

4. change the configuration to:
---
:enabled: true
--
5. restart the proxy
6. refresh features of the proxy
7. check that facts is now one of the features

Comment 11 Sachin Ghai 2015-03-16 06:33:54 UTC
Verified with: 
sat6.1 beta snap6 compose2 (Satellite-6.1.0-RHEL-6-20150311.1).

By default facts feature set to false.

--
# cat /etc/foreman-proxy/settings.d/facts.yml 

:enabled: false

--

Restarted the foreman-proxy service, and UI doesn't show the facts features on refreshing features.

later, I enabled the facts feature if it works and on enabling it I can see it on UI.

Comment 12 Bryan Kearney 2015-08-11 13:33:58 UTC
This bug is slated to be released with Satellite 6.1.

Comment 13 errata-xmlrpc 2015-08-12 05:19:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.